package com.ruoyi.project.plant.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 调度会议对象 t_mtd_daily
 *
 * @author ssy
 * @date 2023-11-14
 */
public class TMtdDaily extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 记录人 */
    @Excel(name = "记录人")
    private String recorder;

    /** 记录人 */
    @Excel(name = "记录人姓名")
    private String recorderName;

    /** 会议编号 */
    @Excel(name = "会议编号")
    private String meetingNo;

    /** 会议时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "会议时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meetingDate;

    /** 会议地点 */
    @Excel(name = "会议地点")
    private String venue;

    /** 主题 */
    @Excel(name = "主题")
    private String subject;

    /** Cracker */
    @Excel(name = "Cracker")
    private String attendCracker;

    /** CTM */
    @Excel(name = "CTM")
    private String attendCtm;

    /** CTA */
    @Excel(name = "CTA")
    private String attendCta;

    /** LAB */
    @Excel(name = "LAB")
    private String attendLab;

    /** 安全主题 */
    @Excel(name = "安全主题")
    private String safetyTopic;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;


    /** 运行模式 */

    @Excel(name = "运行模式")

    private String optMode;



    /** 运行明细 */

    @Excel(name = "运行明细")

    private String optItem;



    /** 裂解 */

    @Excel(name = "裂解")

    private String split;



    /** pgu */

    @Excel(name = "pgu")

    private String pgu;



    /** aeu */

    @Excel(name = "aeu")

    private String aeu;

    private String wordUrl;

    private Integer emailStatus;

    private String deptName;

    private List<TMtdItem> items0;

    private List<TMtdItem> items1;
    private List<TMtdItem> items2;
    private List<TMtdItem> items3;
    private List<TMtdItem> items4;
    private List<TMtdItem> items5;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRecorder(String recorder)
    {
        this.recorder = recorder;
    }

    public String getRecorderName() {
        return recorderName;
    }

    public void setRecorderName(String recorderName) {
        this.recorderName = recorderName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRecorder()
    {
        return recorder;
    }
    public void setMeetingNo(String meetingNo)
    {
        this.meetingNo = meetingNo;
    }

    public String getMeetingNo()
    {
        return meetingNo;
    }
    public void setMeetingDate(Date meetingDate)
    {
        this.meetingDate = meetingDate;
    }

    public Date getMeetingDate()
    {
        return meetingDate;
    }
    public void setVenue(String venue)
    {
        this.venue = venue;
    }

    public String getVenue()
    {
        return venue;
    }
    public void setSubject(String subject)
    {
        this.subject = subject;
    }

    public String getSubject()
    {
        return subject;
    }
    public void setAttendCracker(String attendCracker)
    {
        this.attendCracker = attendCracker;
    }

    public String getAttendCracker()
    {
        return attendCracker;
    }
    public void setAttendCtm(String attendCtm)
    {
        this.attendCtm = attendCtm;
    }

    public String getAttendCtm()
    {
        return attendCtm;
    }
    public void setAttendCta(String attendCta)
    {
        this.attendCta = attendCta;
    }

    public String getAttendCta()
    {
        return attendCta;
    }
    public void setAttendLab(String attendLab)
    {
        this.attendLab = attendLab;
    }

    public String getAttendLab()
    {
        return attendLab;
    }
    public void setSafetyTopic(String safetyTopic)
    {
        this.safetyTopic = safetyTopic;
    }

    public String getSafetyTopic()
    {
        return safetyTopic;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public List<TMtdItem> getItems0() {
        return items0;
    }

    public void setItems0(List<TMtdItem> items0) {
        this.items0 = items0;
    }

    public List<TMtdItem> getItems1() {
        return items1;
    }

    public void setItems1(List<TMtdItem> items1) {
        this.items1 = items1;
    }

    public List<TMtdItem> getItems2() {
        return items2;
    }

    public void setItems2(List<TMtdItem> items2) {
        this.items2 = items2;
    }

    public List<TMtdItem> getItems3() {
        return items3;
    }

    public void setItems3(List<TMtdItem> items3) {
        this.items3 = items3;
    }

    public List<TMtdItem> getItems4() {
        return items4;
    }

    public void setItems4(List<TMtdItem> items4) {
        this.items4 = items4;
    }

    public List<TMtdItem> getItems5() {
        return items5;
    }

    public void setItems5(List<TMtdItem> items5) {
        this.items5 = items5;
    }

    public String getOptMode() {
        return optMode;
    }

    public void setOptMode(String optMode) {
        this.optMode = optMode;
    }

    public String getOptItem() {
        return optItem;
    }

    public void setOptItem(String optItem) {
        this.optItem = optItem;
    }

    public String getSplit() {
        return split;
    }

    public void setSplit(String split) {
        this.split = split;
    }

    public String getPgu() {
        return pgu;
    }

    public void setPgu(String pgu) {
        this.pgu = pgu;
    }

    public String getAeu() {
        return aeu;
    }

    public void setAeu(String aeu) {
        this.aeu = aeu;
    }

    public String getWordUrl() {
        return wordUrl;
    }

    public void setWordUrl(String wordUrl) {
        this.wordUrl = wordUrl;
    }

    public Integer getEmailStatus() {
        return emailStatus;
    }

    public void setEmailStatus(Integer emailStatus) {
        this.emailStatus = emailStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("recorder", getRecorder())
            .append("meetingNo", getMeetingNo())
            .append("meetingDate", getMeetingDate())
            .append("venue", getVenue())
            .append("subject", getSubject())
            .append("attendCracker", getAttendCracker())
            .append("attendCtm", getAttendCtm())
            .append("attendCta", getAttendCta())
            .append("attendLab", getAttendLab())
            .append("safetyTopic", getSafetyTopic())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
